Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
quangtb

Nhờ Viết Lisp

Các bài được khuyến nghị

em muốn có 1 lệnh giống lệnh copym nhưng có thể nhập số khoảng cách được nghĩa là khoảng cách copy được tính từ đối tượng vừa được copy trươc đó.em cám ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em muốn có 1 lệnh giống lệnh copym nhưng có thể nhập số khoảng cách được nghĩa là khoảng cách copy được tính từ đối tượng vừa được copy trươc đó.em cám ơn!

 

Không hiểu bạn à!

Khoảng cách copy là khoảng cách tính từ điểm nào đến điểm nào? Chứ sao lại là khoảng cách tính từ đối tượng vừa được copy trươc đó????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 copy 1 khoảng 1000 và 1 khoảng 2000 thì a phải nhập 1 lần là 1000 và 1 lần là 3000, bây giờ e muốn nhập 1000 sau đó nhập tiếp 2000. nó giống với lệnh copym đó anh nhưng là nhập được số lệnh copym không cho nhập số

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em copy 1  đối tượng theo phương X(chẳng hạn) cách đối tượng thứ nhất 1 khoảng A, ta được đối tượng số 2 sau đó copy tiếp cách đối tượng số 2 khoảng B thì ta phải nhập giá trị là A+B.thì ta được đối tượng thứ 3. Bây giờ em muốn lần copy thứ 2 chỉ cần nhập khoảng cách là B là đươc đối tượng thứ 3

ý của e là thế ạ !_ _

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có phải như này ko. Bạn copy mấy dòng này chứ đừng bấm nút download.

(defun c:cpy(/ EL HG KCACH OS PT SS TT)
(defun ssnext (el / l en) (if (setq en (entnext el)) (cons en (ssnext en)) ))
(defun ssfrom (sl / ss0) (setq ss0 (ssadd)) (mapcar '(lambda(x) (ssadd x ss0)) sl) ss0)
 
(prompt "\nChon cac doi tuong de copy:")
(setq ss (ssget)
pt (getpoint "\nDiem goc:")
hg (getangle pt "\nTheo huong:")
tt t
os (getvar 'osmode))
(setvar 'osmode 0)
 
(while tt    
(setq kcach (getstring (strcat "\nKhoang cach = " (if gl_kc (rtos gl_kc) (rtos (setq gl_kc 1)))  " <hoac nhan Z+Enter de ket thuc> :" )))
(cond ((and (/= kcach "") (/= (strcase kcach) "Z")) (setq kcach (atof kcach) gl_kc kcach))
((and (= kcach "") (/= gl_kc 0)) (setq kcach gl_kc))
((= (strcase kcach) "Z") (setq tt nil)))    
(if tt
(progn
(setq el (entlast))
(command "copy" ss "" pt (polar pt hg kcach))
(setq ss (ssfrom (ssnext el)))
))
)  
(setvar 'osmode os) (princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các bác!

 

Em đang viết một cái list, nhưng em muốn lấy các thông số của một đối tượng để gán vào biến thì phải làm thế nào ạ.

 

Ví dụ:

            + Chiều dài đoạn thẳng, tọa độ End X, End Y,…

            + Chiều cao của text, màu của text,…

            + Hoặc với đối tượng phức hợp gồm nhiều đối tượng khác như viewport bên layout (gồm Pline và Veiwport): Em muốn lấy tỷ lệ scare của viewport thì phải làm thế nào ạ.

 

Hóng thánh :3

Cảm ơn các bác đã đọc bài viết của em.

Dạ… Em xin hết ạ. :3

 
  • Vote giảm 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các bác!

 

Em đang viết một cái list, nhưng em muốn lấy các thông số của một đối tượng để gán vào biến thì phải làm thế nào ạ.

 

Ví dụ:

            + Chiều dài đoạn thẳng, tọa độ End X, End Y,…

            + Chiều cao của text, màu của text,…

            + Hoặc với đối tượng phức hợp gồm nhiều đối tượng khác như viewport bên layout (gồm Pline và Veiwport): Em muốn lấy tỷ lệ scare của viewport thì phải làm thế nào ạ.

 

Hóng thánh :3

Cảm ơn các bác đã đọc bài viết của em.

Dạ… Em xin hết ạ. :3

Hề hề hề,

Tham khảo mã DXF của các đối tượng trong help của CAD.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Xin chào mọi người

Nhờ các ace  viết dùm mình lisp với nội dung như ở dưới, có file kèm theo

 

Mình có nhiều biên dạng như trong file cad đính kèm, cần tạo ra nhiều file cad dạng .dxf, mỗi file cad mới chứa 1 biên dạng, tên file cad mới giống với nội dung text nằm trong biên dạng. Bạn nào viết dùm mình lisp này nhé.

 

Thực hiện lệnh:

 

1. gọi lệnh:

2. chọn đường dẫn để lưu các file cad mới được tạo ra.

3. Quét chọn vùng chứa các biên dạng (có kèm text) (nếu không chọn được một lần nhiều biên dạng thì chọn từng biên dạng cũng được)

 

 https://www.dropbox.com/s/8bsduoy2e6ds93m/CP.dwg?dl=0

 

xin cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×